﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class PostRichMediaChatletDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";
        public static readonly String destUser = "user@teamchat.com";

        public static void Main(String[] args)
        {
            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password);
            api.perform(api.context().create().add(destUser)
                    .post(new RichmediaChatlet()
                    .setFileUrl("https://farm4.staticflickr.com/3668/10815631375_1d49b50a13_z_d.jpg")
                    .setFileSize("11 kb")
                    .setFileMime("image/jpg")
                    .setThumbnailUrl("https://farm4.staticflickr.com/3668/10815631375_1d49b50a13_q_d.jpg")));
        }
    }
}
