﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeamchatSDK.Client;
using TeamchatSDK.Client.Attributes;
using TeamchatSDK.Client.Interfaces;

namespace SDKDemo
{
    public class ReceiveAnyMessageDemo
    {
        public static readonly String bot = "bot@teamchat.com";
        public static readonly String password = "botpwd";
        public static readonly String destUser = "user@teamchat.com";

        public static void Main(String[] args)
        {
            TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
                    .setEmail(bot)
                    .setPassword(password);

            api.startReceivingEvents(new ReceiveAnyMessageDemo());
            //msgReceived(api);
            Console.ReadKey();
        }

        [OnMsg]
        public static void msgReceived(TeamchatAPI api)
        {
            Console.WriteLine("Message Received is:" + api.context().currentChatlet().raw());
        }
    }
}
